Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# DocumentBuilder Class Reference
[XMLDOM Parser]

## Detailed Description

Document factory, used to build xml document tree from input stream.

Contains parser settings, can be used to generate multiple DOM trees. Should not be used simultaneously from several threads.

## Public Member Functions
void | setIgnoringComments (bool _ignoreComments)
| Setups this builder to ignore and not to include in DOM tree XML comments.
bool | isIgnoringComments ()
| Returns current Ignoring Comments status.
void | setIgnoringElementContentWhitespace (bool _whitespace)
| Ignores empty element's text content (content with only spaces, tabs, CR/LF).
bool | isIgnoringElementContentWhitespace ()
| Retrieves whitespace ignore state.
void | setEntityResolver (EntityResolver *_er)
| Changes entity resolver, used while parsing external entity references.
Document * | newDocument ()
| Allocates new document object.
Document * | parse (InputSource *is, const char *codepage=0)
| Parses input stream and creates DOM tree.
Document * | parse (const byte *bytes, int length, const char *codepage=0)
| Parses input bytes in specified encoding and creates DOM tree.
void | free (Document *doc)
| Deletes all DOM tree structure.
## Protected Attributes
bool | ignoreComments
bool | whitespace
Hashtable< const String * > | entitiesHash
Hashtable< const String * > | extEntitiesHash

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.